ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

php upgraded from 5.3 to 5.4 and loader return error on cron

Author Message
toordog



Joined: 02 Jul 2015
Posts: 1

PostPosted: Thu Jul 02, 2015 10:40 pm    Post subject: php upgraded from 5.3 to 5.4 and loader return error on cron Reply with quote

Hi,

When I run php-cli or a cron job, I have a loader error:
Quote:

Failed loading /usr/lib64/php/modules/ioncube_loader_lin_5.3.so: /usr/lib64/php/modules/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write



I upgraded my version of PHP from 5.3 to 5.4.; mod_php and php-cli

Code:

yum list installed|grep php
php54w.x86_64                       5.4.42-1.w6                        @webtatic
php54w-cli.x86_64                   5.4.42-1.w6                        @webtatic
php54w-common.x86_64                5.4.42-1.w6                        @webtatic
php54w-devel.x86_64                 5.4.42-1.w6                        @webtatic
php54w-gd.x86_64                    5.4.42-1.w6                        @webtatic
php54w-imap.x86_64                  5.4.42-1.w6                        @webtatic
php54w-mbstring.x86_64              5.4.42-1.w6                        @webtatic
php54w-mcrypt.x86_64                5.4.42-1.w6                        @webtatic
php54w-mysql.x86_64                 5.4.42-1.w6                        @webtatic
php54w-pdo.x86_64                   5.4.42-1.w6                        @webtatic
php54w-xml.x86_64                   5.4.42-1.w6                        @webtatic



I updated my php.ini to load the loader for php 5.4
Code:

grep ioncube /etc/php.ini
zend_extension=/usr/local/ioncube/ioncube_loader_lin_5.4.so


Code:

test /usr/local/ioncube/ioncube_loader_lin_5.4.so && echo "exist"
exist



The loader-wizard.php return:
Quote:

ionCube Loader Wizard

An updated version of this Wizard script is available here.

Loader Installed
The ionCube Loader version 5.0.11 for PHP 5.4 is already installed and encoded files should run without problems.

Please contact the script provider if you do experience any problems running encoded files.

For security reasons we advise that you remove this Wizard script from your server now that the ionCube Loader is installed.



everything works from apache mod_php but when i use php-cli or crontab, i receive an error:

[code]
php -m
Failed loading /usr/lib64/php/modules/ioncube_loader_lin_5.3.so: /usr/lib64/php/modules/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write


[PHP Modules]
bz2
calendar
Core
ctype
curl
date
dom
ereg
exif
fileinfo
filter
ftp
gd
gettext
gmp
hash
iconv
imap
ionCube Loader
json
libxml
mbstring
mcrypt
mhash
mysql
mysqli
openssl
pcntl
pcre
PDO
pdo_mysql
pdo_sqlite
Phar
readline
Reflection
session
shmop
SimpleXML
sockets
SPL
sqlite3
standard
tokenizer
wddx
xml
xmlreader
xmlwriter
xsl
zip
zlib

[Zend Modules]
the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured)[/quote]
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 407

PostPosted: Fri Jul 03, 2015 5:26 pm    Post subject: Reply with quote

Hi,

It's usually better to ask questions like this in our Support Help Desk at http://support.ioncube.com

Anyway, the problem is almost certainly down to CLI PHP using a different php.ini from the PHP run via the web server.

If on the command line you run php -i then you will get the phpinfo for CLI PHP and that will tell you the php.ini that is being read by CLI PHP. You will then need to update the zend_extension line in that php.ini to be the same as that in /etc/php.ini
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum